MONGOC_GRIDFS_FILE_SET_ID(3)

NAME
mongoc_gridfs_file_set_id - mongoc_gridfs_file_set_id()

SYNOPSIS

        bool
        mongoc_gridfs_file_set_id (mongoc_gridfs_file_t *file,
                                   const bson_value_t *id,
                                   bson_error_t error);

PARAMETERS

    •   file: A :symbol:` mongoc_gridfs_file_t <mongoc_gridfs_file_t>`.

    •   id: A bson_value_t.

    •   error: A bson_error_t.

DESCRIPTION

Sets the id of file to any BSON type.

If an error occurred, false is returned.

RETURNS

Returns true on success. If any arguments are invalid, returns false and logs an error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc